Subject: Re: bug#34570: Failure to build swig/graphviz

From: Andreas Enge <[email-masked]>
Date: Tue, 19 Feb 2019 10:34:01 +0100

On Tue, Feb 19, 2019 at 10:16:32AM +0100, Danny Milosavljevic wrote:
> I think that the test suite contains multiple sets of tests and and earlier set
> failed (the 514 perl5 tests apparently didn't fail; the warning shouldn't
> make tests fail anyway).  What's before what you posted in the log?

Lots of lines similar to these:
> > \@ build-log 23167 506
> > In file included from /gnu/store/im7irb1qnmvwypz53dxv5i75wy94dcz5-glibc-2.28/include/bits/libc-header-start.h:33:0,
> >                  from /gnu/store/im7irb1qnmvwypz53dxv5i75wy94dcz5-glibc-2.28/include/string.h:26,
> >                  from multi_import_b_wrap.cxx:341:
> > /gnu/store/im7irb1qnmvwypz53dxv5i75wy94dcz5-glibc-2.28/include/features.h:381:4: warning: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Wcpp]
> >  #  warning _FORTIFY_SOURCE requires compiling with optimization (-O)

In the meantime I got around the problem by copying the build from berlin,
so I also cannot reproduce the failed build. Apparently some machine did
correctly compute the derivation; if there is not an obvious error somewhere,
it might be easier to close the bug report as not reproducible or non-deter-
ministic.

Andreas